Bug 6925 - The way to show the plural of a word is not compatible with multilanguage
Summary: The way to show the plural of a word is not compatible with multilanguage
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Juan Romay Sieira
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-27 10:08 UTC by Juan Romay Sieira
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to change plural (977 bytes, patch)
2011-09-27 10:08 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Patch to change plural (981 bytes, patch)
2011-09-27 16:55 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Signed-off patch (1.07 KB, patch)
2011-09-30 18:24 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Romay Sieira 2011-09-27 10:08:55 UTC Comment hidden (obsolete)
Comment 1 Owen Leonard 2011-09-27 12:05:29 UTC
+<h2>[% nnoverdue %] [% IF ( noverdue_is_plural ) %]Items[% ELSE %][% END %]

Shouldn't this be:


+<h2>[% nnoverdue %] [% IF ( noverdue_is_plural ) %]Items[% ELSE %]Item[% END %]

?
Comment 2 Juan Romay Sieira 2011-09-27 16:48:11 UTC
Yes, thats ok. I missed it¡¡ In few hours I'll upload the correct patch.
Comment 3 Juan Romay Sieira 2011-09-27 16:55:51 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2011-09-30 18:24:03 UTC
Created attachment 5667 [details] [review]
Signed-off patch
Comment 5 Ian Walls 2011-10-12 21:26:24 UTC
Simple patch, template only, much more logical from a translation standpoint.  Marking as Passed QA
Comment 6 Chris Cormack 2011-10-13 03:20:49 UTC
Tiny template change, that helps translators, pushing